<form [formGroup]="form" class="normal-form">
  <mat-grid-list cols="2" rowHeight="300px">
    <mat-grid-tile>
      <div class="controles-container">
        <input type="hidden" formControlName="$key">
        <mat-form-field appearance="fill">
          <input formControlName="fullName" matInput placeholder="Full Name*">
          <mat-error>This field is mandatory.</mat-error>
        </mat-form-field>
        <mat-form-field appearance="fill">
          <input formControlName="email" matInput placeholder="Email">
          <mat-error>Invalid email address.</mat-error>
        </mat-form-field>
        <mat-form-field appearance="fill">
          <input formControlName="mobile" matInput placeholder="Mobile*">
          <mat-error *ngIf="form.controls['mobile'].hasError('required')">This field is mandatory.</mat-error>
          <mat-error *ngIf="form.controls['mobile'].hasError('minlength')">Minimum 8 charactors needed.</mat-error>
        </mat-form-field>
        <mat-form-field appearance="fill">
          <input formControlName="city" matInput placeholder="City">
        </mat-form-field>
      </div>
    </mat-grid-tile>

  </mat-grid-list>
  <button type="submit" (submit)="logFormValues()">submit</button>
</form>



